#include <windows.h>

typedef unsigned char       UBYTE;
typedef unsigned char       TEXT;
typedef unsigned short      UWORD;
typedef unsigned long       ULONG;
typedef unsigned char*      STRPTR;
typedef void*               APTR;
#define IMPORT              extern
#define __inline

#include <assert.h>

#define SCAN_ESCAPE       1
#define SCAN_A1           2
#define SCAN_A2           3
#define SCAN_A3           4
#define SCAN_A4           5
#define SCAN_A5           6
#define SCAN_A6           7
#define SCAN_A7           8
#define SCAN_A8           9
#define SCAN_A9          10
#define SCAN_A0          11
#define SCAN_HYPHEN      12
#define SCAN_EQUALS      13
#define SCAN_BACKSPACE   14
#define SCAN_Q           16
#define SCAN_W           17
#define SCAN_E           18
#define SCAN_R           19
#define SCAN_T           20
#define SCAN_Y           21
#define SCAN_U           22
#define SCAN_I           23
#define SCAN_O           24
#define SCAN_P           25
#define SCAN_OS          26
#define SCAN_CS          27
#define SCAN_RETURN      28
#define SCAN_LCTRL       29
#define SCAN_A           30
#define SCAN_S           31
#define SCAN_D           32
#define SCAN_F           33
#define SCAN_G           34
#define SCAN_H           35
#define SCAN_J           36
#define SCAN_K           37
#define SCAN_L           38
#define SCAN_SEMICOLON   39
#define SCAN_APOSTROPHE  40
#define SCAN_BACKTICK    41
#define SCAN_LSHIFT      42
#define SCAN_BACKSLASH   43
#define SCAN_Z           44
#define SCAN_X           45
#define SCAN_C           46
#define SCAN_V           47
#define SCAN_B           48
#define SCAN_N           49
#define SCAN_M           50
#define SCAN_COMMA       51
#define SCAN_FULLSTOP    52
#define SCAN_SLASH       53
#define SCAN_RSHIFT      54
#define SCAN_AS          55 // numeric *
//  #define SCAN_LALT    56
#define SCAN_SPACEBAR    57
#define SCAN_F1          59
#define SCAN_F2          60
#define SCAN_F3          61
#define SCAN_F4          62
#define SCAN_F5          63
#define SCAN_F6          64
#define SCAN_F7          65
#define SCAN_F8          66
#define SCAN_F9          67
#define SCAN_F10         68
#define SCAN_PAUSE       69
#define SCAN_SCRLK       70
#define SCAN_N7          71
#define SCAN_N8          72
#define SCAN_N9          73
#define SCAN_MI          74 // numeric -
#define SCAN_N4          75
#define SCAN_N5          76
#define SCAN_N6          77
#define SCAN_PL          78 // numeric +
#define SCAN_N1          79
#define SCAN_N2          80
#define SCAN_N3          81
#define SCAN_N0          82
#define SCAN_ND          83 // numeric .
#define SCAN_F12         88
#define SCAN_NE         284 // numeric ENTER
#define SCAN_RCTRL      285
#define SCAN_SL         309 // numeric /
//  #define SCAN_RALT   312
#define SCAN_NL         325 // NumLock
#define SCAN_UP         328
#define SCAN_LEFT       331
#define SCAN_RIGHT      333
#define SCAN_END        335
#define SCAN_DOWN       336
#define SCAN_PGDN       337
#define SCAN_DEL        339

#define DIR_SCREENSHOTS ".\\Scrnshot\\"
#define PATTERN_OPEN    "All Signetics Files (*.BIN, *.EAS, *.EAR, *.INS, *.INR, *.PGM, *.TVC, *.TVS, *.TVR)\0*.BIN;*.EAS;*.EAR;*.INS;*.INR;*.PGM;*.TVC;*.TVS;*.TVR\0" \
                        "All Arcadia Files (*.BIN, *.EAS, *.EAR)\0*.BIN;*.EAS;*.EAR\0" \
                        "All Interton Files (*.BIN, *.INS, *.INR)\0*.BIN;*.INS;*.INR\0" \
                        "All Elektor Files (*.PGM, *.TVC, *.TVS, *.TVR)\0*.PGM;*.TVC;*.TVS;*.TVR\0" \
                        "Arcadia/Interton ROMs (*.BIN)\0*.BIN\0" \
                        "Emerson Snapshots (*.EAS)\0*.EAS\0" \
                        "Emerson Recordings (*.EAR)\0*.EAR\0" \
                        "Interton Snapshots (*.INS)\0*.INS\0" \
                        "Interton Recordings (*.INR)\0*.INR\0" \
                        "Elektor Programs (*.PGM, *.TVC)\0*.PGM;*.TVC\0" \
                        "Elektor Snapshots (*.TVS)\0*.TVS\0" \
                        "Elektor Recordings (*.TVR)\0*.TVR\0" \
                        "All Files (*.*)\0*.*\0"

#define HOSTVOLUME_MIN           0
#define HOSTVOLUME_MAX           8
